GAPHOR(1)

NAME
gaphor - Simple GUI UML and SysML modeling tool

SYNOPSIS
gaphor [-h] [-V] [COMMAND [OPTIONS] [ARGUMENTS...]]

DESCRIPTION
Gaphor is a simple yet powerful modeling tool for UML, SysML, RAAML and C4. It provides a graphical interface and a collection of command-line utilities. When no command is given, the GUI (gui) is started automatically. schema once with: gaphor install-schemas (as root if installing system-wide).

OPTIONS (global)
These options must appear before any command.

-h, --help
    Show a help message and exit.

-V, --version
    Print the version number and exit.

COMMANDS

gui [-g] [--gapplication-service] [model ...]
    Launch the graphical user interface.

    -g, --greeter
        Show the new model greeter dialog (no model file given).

    --gapplication-service
        Internal flag for GApplication activation.

    model
        One or more Gaphor model files to open.

export [-u] [-o dir] [-f fmt] [-r regex] model [model ...]
    Export diagrams from a model to files.

    -u, --use-underscores
        Replace spaces with underscores in output filenames.

    -o, --dir directory
        Output directory (default: current directory).

    -f, --format format
        Output format: pdf (default), svg, png, etc.

    -r, --regex regex
        Only export diagrams whose qualified name matches the case-insensitive regex.

html-report [-o dir] model [model ...]
    Generate an HTML report from a model.

    -o, --dir directory
        Output directory for the report.

exec script
    Execute a Python script inside the Gaphor environment (access to Gaphor API).
    (No extra options beyond global logging flags.)

install-schemas [--schemas-dir path] [--glib-compile-schemas path]
    Install the GSettings schema needed for saving preferences.

    --schemas-dir path
        Directory to install the XML schema file.

    --glib-compile-schemas path
        Path to the glib-compile-schemas tool.

self-test [-V]
    Run Gaphor’s internal self-tests and exit.

    -V, --version
        Print version and exit (overrides test execution).

All commands accept the following common options directly after the command name:

-v, --verbose
    Verbose logging.

-q, --quiet
    Suppress informational messages, show warnings and errors only.

--profiler
    Run the command under Python's cProfile profiler.

FILES

~/.config/gaphor
    Per-user configuration.

Upstream Documents
You can find the upstream documentation at https://docs.gaphor.org/en/latest.

BUGS
Report issues at https://github.com/gaphor/gaphor/issues.

AUTHORS
Arjan Molenaar and contributors. See https://gaphor.org.

COPYRIGHT
Apache License 2.0.